CREATE TABLE ap_discount_offers_tl_ (
    DISCOUNT_OFFER_ID        NUMBER(18, 0) ,
    NAME                     VARCHAR2(240) ,
    DESCRIPTION              VARCHAR2(960) ,
    SOURCE_LANG              VARCHAR2(16)  ,
    LANGUAGE                 VARCHAR2(16)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    DISCOUNT_OFFER_ID        NUMBER(18, 0) ,
    NAME                     VARCHAR2(240) ,
    DESCRIPTION              VARCHAR2(960) ,
    SOURCE_LANG              VARCHAR2(16)  ,
    LANGUAGE                 VARCHAR2(16)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    CONSTRAINT pk_ap_discount_offers_tl_ PRIMARY KEY (DISCOUNT_OFFER_ID, LANGUAGE, LAST_UPDATED_BY, LAST_UPDATE_DATE, DISCOUNT_OFFER_ID, LANGUAGE, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
